## dpb 0.0~git20241008+67f93e629

=== Makefile ===
all: check
	./create-book.sh
	./create-buildscript.sh

check:
	./check-style.sh

## dpb 0.0~git20240516+29fcc7464

=== debian/changelog ===
dpb (0.0~git20240516+29fcc7464) unstable; urgency=medium

  [ Mechtilde Stehmann ]
  * [d817aa8] Improved dependencies
  * [d127c3c] Removed detecting paths for plugins
  * [704fd44] Added Screenshot
  * [d4b2554] Fixed program script
  * [6e39df0] Small fixes in the program script
  * [5bebe06] Set the sbuild schapter beside pbuilder
  * [600c86b] Updated bibliogrphy entry
  * [ffbf5e2] Updated descrption of sbuild
  * [0893de2] Improved using sbuild
  * [29fcc74] Prepared for building with sbuild
  * [600c86b] Updated bibliogrphy entry
  * [ffbf5e2] Updated descrption of sbuild
  * [29fcc74] Prepared for building with sbuild

 -- Mechtilde Stehmann <mechtilde@debian.org>  Fri, 17 May 2024 17:15:28 +0200

dpb (0.0~git20240505+37488e55b) unstable; urgency=medium

  * [c998e39] Improved indent of set +/-e
  * [9853752] Added link to the program scripts
  * [37488e5] Improved links with new lines

 -- Mechtilde Stehmann <mechtilde@debian.org>  Tue, 14 May 2024 10:41:51 +0200

dpb (0.0~git20240505+e724106d1) unstable; urgency=medium

  [ Mechtilde Stehmann ]
  * [01c0af0] Added some screenshots
  * [a7e8faa] Improved quotation marks and some log lines
  * [c161a97] Set set +/-e properly
  * [e724106] Improved buildscript in documentation and make build reproducible

  [ Mechtilde ]
  * [c0e1c0c] Made build reproducible - thanks Chris Lamb for the patches
              (Closes: #1069709)

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 05 May 2024 12:13:21 +0200

dpb (0.0~git20240401+4c3057874) unstable; urgency=medium

  [ Mechtilde Stehmann ]
  * Initial release as Debian package (Closes: #1067565)

 -- Mechtilde Stehmann <mechtilde@debian.org>  Tue, 02 Apr 2024 07:16:17 +0200

=== debian/control ===
Source: dpb
Priority: optional
Section: doc
Maintainer: Debian Documentation Project <debian-doc@lists.debian.org>
Uploaders: Mechtilde Stehmann <mechtilde@debian.org>
Build-Depends: debhelper-compat (=13)
 , texlive
 , noweb (>=2.12-4)
 , texlive-bibtex-extra
 , texlive-lang-german
 , texlive-lang-japanese
 , texlive-latex-extra,
 , texlive-binaries
 , texlive-extra-utils
 , biber
 , tidy
 , texlive-lang-english
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ddp-team/dpb.git
Vcs-Browser: https://salsa.debian.org/ddp-team/dpb
Homepage: https://ddp-team.pages.debian.net/dpb/BuildWithGBP.pdf

Package: debian-package-book-de
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: pdf-viewer | atril | evince | mupdf
Description: How to package for Debian in German
 The information in this book is of particular interest to users of the
 script. But also people who are generally interested in packaging for a
 distribution will find information in this book.
 .
 This book does not want to be a “textbook” for building Debian packages.
 It is more of an experience report, where the experiences have been
 “moulded into code”.
 .
 The book describes how Debian packages are created using a git
 repository with the programs from the package git-buildpackage and
 other useful commands. Afterwards, the reader should be able to use the
 program as shown and the descriptions of the individual steps to build
 “production quality” Debian packages.
 .
 The book is not yet finished, so some chapters are incomplete or not
 yet proof-read.

Package: debian-package-scripts
Architecture: all
Depends: ${misc:Depends}
Recommends: apt-cacher-ng
 , apt-file
 , build-essential
 , cowbuilder
 , cowdancer
 , debhelper
 , debmake
 , debootstrap
 , devscripts
 , git-buildpackage
 , gradle-debian-helper
 , jq
 , less
 , libmaven-bundle-plugin-java
 , licensecheck
 , lintian
 , locate
 , maven-debian-helper
 , mmdebstrap
 , pbuilder
 , pristine-tar
 , quilt
 , sbuild
 , sudo
 , uidmap
 , unzip
Description: Scripts for building Debian packages
 In this package you find the scripts which can help you to build Debian
 packages.

## dpb 0.0~git20241008+67f93e629

=== debian/changelog ===
dpb (0.0~git20241008+67f93e629) unstable; urgency=medium

  * fixed versioning

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 13 Oct 2024 12:49:41 +0200

dpb (0.0~git20241003+67f93e629) unstable; urgency=medium

  * [04a8a32] Added parameter to SBuildOrPBuilder
  * [6f54b4c] Small corrections in part 3
  * [f4de975] Reconfigured second building
  * [7d6a8f9] Improved usind sbuildrc
  * [8bc0d34] Improved hecks after the build
  * [12ed167] Improved running uscan
  * [f5daba5] Improved part4
  * [39918f5] Added screenshot for part3
  * [65cdf0a] Added screenshot for python-plugin
  * [c564c63] Updated translation memory
  * [380f7cc] Improved English translation of part2
  * [c2a43c0] Small improvements
  * [67f93e6] Fixed typo

 -- Mechtilde Stehmann <mechtilde@debian.org>  Tue, 08 Oct 2024 19:14:50 +0200

dpb (0.0~git20241003+7779f9b0d) unstable; urgency=medium

  [ Mechtilde ]
  * [5adb928] Improved files for debhelper in German version
  * [d3099d5] Improved files for debhelper in English version
  * [b44dae2] Last improvement d/dps.lintian-overrides
  * [6b5473a] Improved en_US translation to publish the English version again
  * [f976479] Activate deploying English version
  * [7408640] Improved title page for English version
  * [7779f9b] Improved preamble for English version
  * [2896b63] Improved part1; thanks Guido S. for improving
              the English translation
  * [7779f9b] Improved preamble for English version
  * [80efb50] Added building English version to d/control
  * [06b1e1b] Improved d/d-p-s.lintian.overrides
  * [79b1f9c] Renamed to <package name>.doc*
  * [9a9a540] Improvd debhelper files for German book
  * [33ede13] Added debhelper files for new English book
  * [82ffe12] Bumped standard version- no changes needed

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 06 Oct 2024 11:42:26 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  , biber
  , tidy
  , texlive-lang-english
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ddp-team/dpb.git
 Vcs-Browser: https://salsa.debian.org/ddp-team/dpb
@@ -26,7 +26,30 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: pdf-viewer | atril | evince | mupdf
-Description: How to package for Debian in German
+Description: How to package for Debian (in German)
+ The information in this book is of particular interest to users of the
+ script. But also people who are generally interested in packaging for a
+ distribution will find information in this book.
+ .
+ This book does not want to be a “textbook” for building Debian packages.
+ It is more of an experience report, where the experiences have been
+ “moulded into code”.
+ .
+ The book describes how Debian packages are created using a git
+ repository with the programs from the package git-buildpackage and
+ other useful commands. Afterwards, the reader should be able to use the
+ program as shown and the descriptions of the individual steps to build
+ “production quality” Debian packages.
+ .
+ The book is not yet finished, so some chapters are incomplete or not
+ yet proof-read.
+
+Package: debian-package-book-en-us
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Recommends: pdf-viewer | atril | evince | mupdf
+Description: How to package for Debian (in English)
  The information in this book is of particular interest to users of the
  script. But also people who are generally interested in packaging for a
  distribution will find information in this book.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.

export DH_VERBOSE=1
export DH_OPTIONS=-v
export FORCE_SOURCE_DATE=1

%:
	dh $@

override_dh_install:
	mv build-gbp.sh build-gbp
	mv build-gbp-java-plugin.sh build-gbp-java-plugin
	mv build-gbp-maven-plugin.sh build-gbp-maven-plugin
	mv build-gbp-python-plugin.sh build-gbp-python-plugin
	mv build-gbp-webext-plugin.sh build-gbp-webext-plugin
	dh_install

override_dh_compress:
	dh_compress -X.pdf

## dpb 0.9~git20250408+719c069c7

=== debian/changelog ===
dpb (0.9~git20250408+719c069c7) unstable; urgency=medium

  * new upload

 -- Mechtilde Stehmann <mechtilde@debian.org>  Tue, 08 Apr 2025 08:11:35 +0200

dpb (0.9~git20250406+4956e9080) unstable; urgency=medium

  [ Mechtilde Stehmann ]
  * [958ddbf] Bumped version and year
  * [a144adb] Cleaned up description about using gbp pq
  * [f10fb68] Added compression bz2 for the upstream tarball
  * [8f47ba8] Now you can use compression bz2
  * [46a48ab] Improved starting a new package/version
  * [5b45b86] added new screenshots
  * [14f14ea] Improved description how to build packages with maven
  * [12ca1ef] Set version of script to 0.9
  * [4956e90] Added recent address of FSF in Boston

  [ Mechtilde ]
  * [781cd94] Bumped standard version - no changes needed
  * [b7c17bd] Bumped years in d/copyright

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 06 Apr 2025 21:55:26 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  , biber
  , tidy
  , texlive-lang-english
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ddp-team/dpb.git
 Vcs-Browser: https://salsa.debian.org/ddp-team/dpb
@@ -69,8 +69,7 @@
 
 Package: debian-package-scripts
 Architecture: all
-Depends: ${misc:Depends}
-Recommends: apt-cacher-ng
+Depends: apt-cacher-ng
  , apt-file
  , build-essential
  , cowbuilder

## dpb 0.9.9

=== debian/changelog ===
dpb (0.9.9) unstable; urgency=medium

  [ Hanno Wagner ]
  * [65eac0d] Edit README.md: Changed the content so the reader knows
              how to create the main script.

  [ Mechtilde Stehmann ]
  * [2d2f18f] Improved preamble
  * [c3a0d7c] Improved part3 and title
  * [d62c64e] Fixed description about apt-cache rdepends
  * [9a4cf22] Fixed Typo in part3.mw - thanks jayaddison for the hint
              at salsa.debian.org
  * [f5a7d05] Build with sbuild without installation of all dependencies
              outside the host
  * [7b0d8eb] Add requirements before starting
  * [454353d] Add information to install the relevant packages
  * [96fdfab] Bumped version for release in Debian 13 (Trixie)
  * [439e701] Fix to make lintian happier

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 04 May 2025 11:23:46 +0200

=== debian/control ===
--- 
+++ 
@@ -69,7 +69,8 @@
 
 Package: debian-package-scripts
 Architecture: all
-Depends: apt-cacher-ng
+Depends: ${misc:Depends}
+ , apt-cacher-ng
  , apt-file
  , build-essential
  , cowbuilder
